我终于发现哪个lisp给我的创业套件带来了问题。任何了解lisp的人都可以告诉我,为什么当这个lisp加载时,它会要求我选择要缩放的对象,并阻止启动套件中其余的LSP加载。任何帮助都会很好
- ;; This lisp breaks a two lines which cross each other
- (defun c:sc ()
- (setq pick (entsel "\nPick:")) (terpri)
- (setq pnt (getpoint "\nPick point:" )) (terpri)
- (setq scl (getstring "0.5"))
- (command "scale" pick pnt scl )
- )
- (defun c:half ()
- (prompt
- "\nPick entities you want to scale: ")
- (setq ss (ssget))
- (setq pt (getpoint "\n Pick scale point: "))
- (command "scale" ss "" pt 0.5)
- )
- (defun c:twice ()
- (prompt
- "\nPick entities you want to scale: ")
- (setq ss (ssget))
- (setq pt (getpoint "\n Pick scale point: "))
- (command "scale" ss "" pt 2)
- )
- (defun c:1QUARTER ()
- (prompt
- "\nPick entities you want to scale: ")
- (setq ss (ssget))
- (setq pt (getpoint "\n Pick scale point: "))
- (command "scale" ss "" pt 0.25)
- )
- (defun c:three4 ()
- (prompt
- "\nPick entities you want to scale: ")
- (setq ss (ssget))
- (setq pt (getpoint "\n Pick scale point: "))
- (command "scale" ss "" pt 0.75)
- )
- defun c:alberto ()
- (prompt
- "\nPick entities you want to scale: ")
- (setq ss (ssget))
- (setq pt (getpoint "\n Pick scale point: "))
- (command "scale" ss "" pt 1.5)
- )
- This one aaa lets you scale reference
- (defun c:aaa ()
- (command "OSNAP" "ins")
- (SETQ object (entsel "\n pick object"))
- (SETQ INS (GETPOINT "\NPICK POINT"))
- (command "scale" object "" INS "R" "6-1/64" "4.5")
- (command "osmode" "0")
- )
- (defun c:vsc ()
- (prompt
- "\nPick entities you want to scale: ")
- (setq ss (ssget))
- (setq pt (getpoint "\n Pick scale point: "))
- (command "scale" ss "" pt tom)
- )
- (defun c:t0 ()
- (command "style" "" "" 0 "" "" "" "" ""))
- )
|